Home > Android Error > Android Error You Need To Use A Theme.appcompat

Android Error You Need To Use A Theme.appcompat

Use android:theme="@style/Theme.AppCompat" > More info @ http://developer.android.com/guide/topics/ui/actionbar.html Eidt: I might have misread op post. share|improve this answer edited Jan 22 at 0:06 answered Jun 15 '15 at 13:50 Kaloglu 151119 add a comment| up vote 4 down vote This worked for me, I just changed: Then i created it and added in it following codes: share|improve this answer answered Jun The general rule is that if you want your activity to have an action bar it should have the AppCompat theme and the java code should extend ActionBarActivity. http://focalhosting.com/android-error/android-error-theme-appcompat-light.html

This is the phone: http://www.gsmarena.com/samsung_galaxy_y_s5360-4117.php